@font-face {
    font-family: 'BFM'; src: url('./resources/BF Mono Blook.woff2') format('woff2');
}

@font-face {
    font-family: 'BFSH'; src: url('./resources/BF Sub Headline Bold.woff2') format('woff2');
}

@font-face {
    font-family: 'BFT'; src: url('./resources/BF Text Regular.woff2') format('woff2');
}

@font-face {
    font-family: 'BFH'; src: url('./resources/bf-headline-narrow-bold.woff2') format('woff2');
}

@font-face {
    font-family: 'BFR'; src: url('./resources/BF_text_regular.woff2') format('woff2');
}

body {
    background-image: url('./resources/bf6bg2.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    background-color: #000000;
    margin: 0;
}

.tabcontent.text h1,
.headlineicons-img,
.factionicons-img,
.tabcontent.text h3,
.season_images_teaser,
.season_images,
.medium_images,
.medium_videos,
.soldier_images,
.tabcontent.text p {
    opacity: 0;
    transform: translateY(-10px);

    animation: rollout 0.35s ease forwards;
    animation-delay: calc(var(--i) * 0.15s);
}

.tabcontent.text h1 {
    color: #ff3c00;
    font-family: 'BFH';
    font-size: 3rem;
    line-height: 2.5rem;
    letter-spacing: 1px;

    animation-delay: 0.1s;
}

.tabcontent.text h3 {
    color: #ff3c00;
    font-family: 'BFM';
    font-size: 2rem;
    line-height: 3.5rem;
    letter-spacing: 0px;

    animation-delay: 0.2s;
}

.tabcontent.text p {
    font-size: 1.2rem;
    line-height: 2rem;
    font-family: 'BFR';
    color: aliceblue;

    animation-delay: 0.3s;
}

.season_images_teaser {
    width: clamp(35vw, calc(20vw + 144px), 90vw);
    display: block;
    margin: 0 auto;
    padding: 1%;

    animation-delay: 0.05s;
}

.season_images {
    width: clamp(35vw, calc(20vw + 144px), 90vw);
    display: block;
    margin: 0 auto;
    padding: 1%;

    animation-delay: 0.05s;
}

.medium_images {
    width: clamp(35vw, calc(40vw + 144px), 90vw);
    display: block;
    margin: 0 auto;

    animation-delay: 0.35s;
}

.medium_videos {
    width: clamp(35vw, calc(40vw + 144px), 90vw);
    display: block;
    margin: 0 auto;

    animation-delay: 0.35s;
}

.soldier_profile {
    display: flex;
    align-items: stretch;
    gap: 10px;

    margin-bottom: 10px;
}

.soldier_text {
    margin-left: 12%;
    margin-right: auto;
    max-width: 40ch;
}

.soldier_images {
    height: auto;
    width: clamp(220px, 25vw, 350px);

    object-fit: cover;

    margin-left: auto;
    margin-right: 14%;

    animation-delay: 0.35s;
}

.soldier_profile img {
    align-self: stretch;
}

.soldier_profile:nth-child(even) {
    flex-direction: row-reverse;
}

.soldier_profile:nth-child(even) .soldier_text {
    display: flex;
    flex-direction: column;
    align-items: flex-end;

    margin-left: auto;
    margin-right: 16%;
    text-align: right;
}

.soldier_profile:nth-child(even) .soldier_images {
    display: flex;
    flex-direction: column;
    align-items: flex-end;

    margin-left: 10%;
    margin-right: auto;
}

.worldofbattlefieldsix {
    width: 100%;
}

.splitter {
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    width: 10%;
}

.credit {
    right: 0;
    left: 0;
    width: 10%;
}

.headlineicons-img {
    width: 50px;

    animation-delay: 0.15s;
}

.factionicons-img {
    width: clamp(10vw, calc(15vw + 144px), 90vw);
    position: sticky;
    margin: 0 auto;
}

.uniticons-img {
    position: sticky;
    width: 60px;
}

@keyframes rollout {
    from {
        opacity: 0;
        transform: translateY(-20px);
        filter: blur(4px);
    }

    to {
        opacity: 1;
        transform: translateY(0px);
        filter: blur(0px);
    }
}

.svg-top {
    display: flex;
    position: sticky; /* stays at the top even on scroll */
    top: 0;
    right: 0;
    left: 0;
    width: 100%;
    z-index: 1000; /* make sure it appears above other content */
    text-align: justify; /* center the image horizontally */
    background: transparent; /* optional */
}

audio {
    width: clamp(35vw, calc(40vw + 144px), 90vw);
    margin: 0 auto;
    background-color: #000000;
    border-radius: 10px;
    padding: 5px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.3);
}

.highlightHeaders {
    color: #ff3c00;
}

.highlight {
    display: inline-block;
    color: #ff3c00;
    position: relative;
    cursor: pointer;
}

.highlightWar {
    display: inline-block;
    color: #FFF500;
    position: relative;
    cursor: pointer;
}

.highlight:hover, .highlightWar:hover {
    font-weight: 700;
    box-shadow: 0 0 20px 4px #000000;
    
}

.highlight::after, .highlightWar::after {
    content: attr(data-tooltip);
    display: none;
    position: absolute;
    top: 115%;
    left: 50%;
    transform: translateX(-50%);
    background-color: #000000;
    box-shadow: 12px 12px 15px 6px #000000;
    font-weight: 400;
    font-size: 1rem;
    line-height: 1.1rem;
    padding: 10px 15px;
    border-radius: 10px;
    border: 3px solid;
    width: max-content;
    max-width: 40vw;
    min-width: 30vw;
    cursor: pointer;
    white-space: pre-wrap;
    z-index: 1000;
    margin: 0 auto;
  }

.highlight:hover::after, .highlightWar:hover::after {
    display: block; /* Show the tooltip on hover */
}


a:link {
    color: #FC2C0C;
    background-color: transparent;
    text-decoration: none;
  }
  
  a:visited {
    color: #db6654;
    background-color: transparent;
    text-decoration: none;
  }
  
  a:hover {
    color: #24FCDC;
    background-color: transparent;
    text-decoration: underline;
  }
  
  a:active {
    color: yellow;
    background-color: transparent;
    text-decoration: underline;
  }

.content {
    width: clamp(35vw, calc(40vw + 144px), 90vw);
    margin: 0 auto;
    padding-top: 1%;
    padding-bottom: 4%;
}

.tabcontent {
    display: none;
}

.header {
    display: grid;
    position: sticky;
    top: 0;
    background: fixed;
    border-radius: 0px;
    box-shadow: 0 0 0px 0px #00000065;
    background-color: #000000;
    grid-template-columns: repeat(14, auto);
    max-width: 100vw;
    justify-content: center;
    gap: 20px;
    padding: 15px;
    margin: 0 auto;
    z-index: 1000;
}

.header.scrolled {
    grid-template-columns: repeat(3, 1fr);
    padding: 15px;
    background-color: #333333;
}

.header_button {
    display: inline-block;
    outline: 0;
    border-radius: 0px;
    box-shadow: 0 0 0 4px #ff3c00;
    background: #ff3c00;
    border: 2px solid #ff3c00;
    font-size: 1.6rem;
    letter-spacing: 1px;
    padding: 0px 10px;
    text-align: center;
    transition-duration: 0.5s;
    cursor: pointer;
    font-family: 'BFH';
    color: aliceblue;
}

.footer {

    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;

    display: grid;
    grid-template-columns: repeat(3, auto);
    justify-content: space-between;
    gap: 10px;

    max-width: 100vw;
    padding: 10px;
    margin: 0 auto;

    border-radius: 0px;
    box-shadow: 0 0 15px 5px #00000065;
    background-color: #000000;

    z-index: 1000;

}

.footer_button {

    display: inline-block;
    outline: 0;
    border-radius: 0px;
    box-shadow: 0 0 0 4px #ff3c00;
    background: #ff3c00;
    border: 5px solid #ff3c00;
    font-size: 1.2rem;
    letter-spacing: 2px;
    padding: 5px 5px;
    text-align: center;
    transition-duration: 0.5s;
    cursor: pointer;
    font-family: 'BFH';
    color: aliceblue;

}

.footer_button:hover {
    border-color: #e4e4e4;
    color: #000000;
    border-color: #fff70000;
}

#Back-to-homepage:hover, #Previous:hover, #Next:hover {
    background: #ff3c00;
    box-shadow: 0 0 0 8px #ff3c00;
}

.header_button:hover, .header_button.active {
    border-color: #e4e4e4;
    color: #000000;
    border-color: #fff70000;
}

#Start:hover, #Start.active {
    background: #ff3c00;
    box-shadow: 0 0 0 10px #ff3c00;
}

#War:hover, #War.active {
    background: #ff3c00;
    box-shadow: 0 0 0 10px #ff3c00;
}

#Campaign:hover, #Campaign.active {
    background: #ff3c00;
    box-shadow: 0 0 0 10px #ff3c00;
}

#Units:hover, #Units.active {
    background: #ff3c00;
    box-shadow: 0 0 0 10px #ff3c00;
}

#Soldiers:hover, #Soldiers.active {
    background: #ff3c00;
    box-shadow: 0 0 0 10px #ff3c00;
}

#Chars:hover, #Chars.active {
    background: #ff3c00;
    box-shadow: 0 0 0 10px #ff3c00;
}

#Seasonone:hover, #Seasonone.active {
    background: #f80605;
    box-shadow: 0 0 0 10px #f80605;
}

#Seasontwo:hover, #Seasontwo.active {
    background: #67e302;
    box-shadow: 0 0 0 10px #67e302;
}

#Seasonthree:hover, #Seasonthree.active {
    background: #ffdd00;
    box-shadow: 0 0 0 10px #ffdd00;
}

#Seasonfour:hover, #Seasonfour.active {
    background: #0090d3;
    box-shadow: 0 0 0 10px #0090d3;
}

.intel-popup{

    position:fixed;

    top:20%;

    left:40px;

    width:260px;

    background:rgba(0,0,0,.82);

    border-left:4px solid #ff3c00;

    color:white;

    padding:18px;

    pointer-events:none;

    z-index:900;

    opacity:0;

    transform:translateX(-30px);

    transition:
        opacity .8s,
        transform .8s;

    box-shadow:0 0 0px black;

}

.intel-popup.show{

    opacity:1;

    transform:translateX(0);

}

.intel-header{

    color:#ff3c00;

    font-family:'BFM';

    font-size:15px;

    margin-bottom:8px;

    letter-spacing:2px;

}

.intel-body{

    font-family:'BFR';

    line-height:1.5rem;

    font-size:1rem;

}